## oem-audio-i915-baytrail-dkms 0.20150605

=== oem-audio-i915-baytrail-0.20150605/hdmi_audio/Makefile ===
DRIVER_NAME := hdmi_audio

# Diwic
ccflags-y += -I../i915

$(DRIVER_NAME)-objs += \
	intel_mid_hdmi_audio.o \
	intel_mid_hdmi_audio_if.o

obj-m += $(DRIVER_NAME).o

=== oem-audio-i915-baytrail-0.20150605/i915/Makefile ===
#
# Makefile for the drm device driver.  This driver provides support for the
# Direct Rendering Infrastructure (DRI) in XFree86 4.1.0 and higher.

ccflags-y := -Iinclude/drm

# Please keep these build lists sorted!

# core driver code
i915-y := i915_drv.o \
	  i915_params.o \
          i915_suspend.o \
	  i915_sysfs.o \
	  intel_pm.o
i915-$(CONFIG_COMPAT)   += i915_ioc32.o
i915-$(CONFIG_DEBUG_FS) += i915_debugfs.o

# GEM code
i915-y += i915_cmd_parser.o \
	  i915_gem_context.o \
	  i915_gem_render_state.o \
	  i915_gem_debug.o \
	  i915_gem_dmabuf.o \
	  i915_gem_evict.o \
	  i915_gem_execbuffer.o \
	  i915_gem_gtt.o \
	  i915_gem.o \
	  i915_gem_stolen.o \
	  i915_gem_tiling.o \
	  i915_gem_userptr.o \
	  i915_gpu_error.o \
	  i915_irq.o \
	  i915_trace_points.o \
	  i915_rpm.o \
	  intel_ringbuffer.o \
	  intel_uncore.o

# autogenerated null render state
i915-y += intel_renderstate_gen6.o \
	  intel_renderstate_gen7.o \
	  intel_renderstate_gen8.o

# modesetting core code
i915-y += intel_bios.o \
	  intel_display.o \
	  intel_modes.o \
	  intel_overlay.o \
	  intel_sideband.o \
	  intel_sprite.o
i915-$(CONFIG_ACPI)		+= intel_acpi.o intel_opregion.o
i915-$(CONFIG_DRM_I915_FBDEV)	+= intel_fbdev.o

# modesetting output/encoder code
i915-y += dvo_ch7017.o \
	  dvo_ch7xxx.o \
	  dvo_ivch.o \
	  dvo_ns2501.o \
	  dvo_sil164.o \
	  dvo_tfp410.o \
	  intel_crt.o \
	  intel_ddi.o \
	  intel_dp.o \
	  intel_dsi_cmd.o \
	  intel_dsi.o \
	  intel_dsi_pll.o \
	  intel_dsi_panel_vbt.o \
	  intel_dvo.o \
	  intel_hdmi.o \
	  intel_i2c.o \
	  intel_lvds.o \
	  intel_panel.o \
	  intel_sdvo.o \
	  intel_tv.o \
	  hdmi_audio_if.o

# legacy horrors
i915-y += i915_dma.o \
	  i915_ums.o

obj-$(CONFIG_DRM_I915)  += i915.o

CFLAGS_i915_trace_points.o := -I$(src)

=== oem-audio-i915-baytrail-0.20150605/oem-audio-i915-baytrail-dkms-mkdeb/debian/changelog ===
oem-audio-i915-baytrail-dkms (0.20150605) trusty; urgency=medium

  * Polish debian/control and modify debian/copyright. (LP: #1460927)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Fri, 05 Jun 2015 10:09:08 +0800

oem-audio-i915-baytrail-dkms (0.20150602) trusty; urgency=medium

  * Add https://01.org/ubuntu-hdmi information. (LP: #1460927)

 -- Shih-Yuan Lee (FourDollars) <sylee@canonical.com>  Tue, 02 Jun 2015 14:24:46 +0800

oem-audio-i915-baytrail-dkms (0.20150422) trusty; urgency=medium

  * Suspicious bug fix for some monitors (provided by MaxWu, but does it do anything?)
  * Cleanup my own PCM pointer calculation code a little bit
  * Changed all printks in the hdmi_audio module to pr_debug for less noise in dmesg

 -- David Henningsson <david.henningsson@canonical.com>  Wed, 22 Apr 2015 10:05:11 +0200

oem-audio-i915-baytrail-dkms (0.20150319b) trusty; urgency=medium

  * New, more accurate, PCM pointer calculation
  * Lower max buffer size (this was reverted again)

 -- David Henningsson <david.henningsson@canonical.com>  Tue, 14 Apr 2015 15:46:15 +0200

oem-audio-i915-baytrail-dkms (0.20150319) trusty; urgency=medium

  * New upstream code

 -- David Henningsson <david.henningsson@canonical.com>  Fri, 20 Mar 2015 09:22:26 +0100

oem-audio-i915-baytrail-dkms (0.20150302) trusty; urgency=medium

  * Initial release.
  * Add hw constraint for PulseAudio

 -- David Henningsson <david.henningsson@canonical.com>  Mon, 02 Mar 2015 11:04:22 +0100

=== debian/control ===
Source: oem-audio-i915-baytrail-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3
Homepage: https://01.org/ubuntu-hdmi
Vcs-Browser: https://github.com/01org/baytrailaudio
Vcs-Git: git://github.com/01org/baytrailaudio.git

Package: oem-audio-i915-baytrail-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-audio-i915-baytrail driver in DKMS format.

=== oem-audio-i915-baytrail-0.20150605/oem-audio-i915-baytrail-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3
Homepage: https://01.org/ubuntu-hdmi

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: DEBIAN_PACKAGE driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-audio-i915-baytrail
NAME=oem-audio-i915-baytrail
VERSION=0.20150605

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
